package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderMember;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupPaymentCalenderMemberDao extends BaseDAO<Long, MusicGroupPaymentCalenderMember> {


    void deleteByCalenderId(@Param("calenderId") Long calenderId);

    List<MusicGroupPaymentCalenderMember> findByCalenderId(@Param("calenderId") Long calenderId);

    void batchInsert(@Param("beans") List<MusicGroupPaymentCalenderMember> calenderMemberList);

    void batchUpdate(@Param("beans") List<MusicGroupPaymentCalenderMember> calenderMemberList);

    List<MusicGroupPaymentCalenderMember> findByIds(@Param("calenderMemberIds") List<Long> calenderMemberIds);
}