package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.entity.StudentMemberUpdateLog;
import com.ym.mec.biz.dal.wrapper.StudentMemberUpdateLogWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 学员云教练时长修改记录(StudentMemberUpdateLog)表数据库访问层
 *
 * @author zx
 * @since 2023-05-17 11:13:43
 */
public interface StudentMemberUpdateLogDao extends BaseMapper<StudentMemberUpdateLog> {

   int insertBatch(@Param("entities") List<StudentMemberUpdateLog> entities);

    IPage<StudentMemberUpdateLogWrapper.StudentMemberUpdateLog> selectPage(@Param("page") IPage<StudentMemberUpdateLogWrapper.StudentMemberUpdateLog> page, @Param("param") StudentMemberUpdateLogWrapper.StudentMemberUpdateLogQuery query);

    Date getActivationMaxTime(@Param("studentId") Integer studentId, @Param("level") Integer level);
}

