package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class MusicScoreSubjectDto {

    @ApiModelProperty(value = "学员编号",required = false)
    private List<Integer> userIdList;

    @ApiModelProperty(value = "分组号")
    private Integer group;

    @ApiModelProperty(value = "训练说明",required = false)
    private String memo;

    @ApiModelProperty(value = "曲目编号（兼容旧数据）",required = false)
    private List<Integer> musicScoreIdList;

    @ApiModelProperty(value = "曲目编号、分谱（新版布置作业需要）",required = false)
    private List<MusicScoreHomeworkDto> musicScoreHomeworkDtoList;

    @ApiModelProperty("新版作业 time:2023-03-31")
    private List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails;

}
