package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.codehaus.jackson.annotate.JsonIgnore;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/20
 */
@Data
public class TeacherHomeworkListDto {

    @ApiModelProperty(value = "课程编号")
    private Integer courseScheduleId;

    @ApiModelProperty(value = "作业编号")
    private Integer homeworkId;

    @ApiModelProperty(value = "作业内容")
    private String content;

    @ApiModelProperty(value = "作业标题")
    private String title;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @JsonIgnore
    private String day;

    @ApiModelProperty(value = "预计完成人数")
    private Integer expectNum;

    @ApiModelProperty(value = "实际完成人数")
    private Integer completedNum;

    @ApiModelProperty(value = "课程名称")
    private String courseScheduleName;

    @ApiModelProperty(value = "总课时")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    private Date startClassTime;

    private Date endClassTime;

    private Date expiryDate;

    private int isReplied;

    private int isSubmit;

    private int status;
}
