package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 会员分类权限表
 * 2024-10-22 14:51:51
 */
@Data
@ApiModel(" MemberRankCategoryMapper-会员分类权限表")
@TableName("member_rank_category_mapper")
public class MemberRankCategoryMapper implements Serializable {

	    @TableId(value = "id_", type = IdType.AUTO)
        private Integer id;

    @ApiModelProperty("分类编号") 
	@TableField(value = "category_id_")
    private Integer categoryId;

    @ApiModelProperty("会员编号") 
	@TableField(value = "rank_id_")
    private Integer rankId;

}